Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - t -

- t : faiss::OperatingPoint
- t_for_perf() : faiss::OperatingPoints
- target_dis : faiss::ReproduceDistancesObjective
- Tensor() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >
- Tensor< typename TensorType::DataType, 1, TensorType::IsInnerContig, typename TensorType::IndexType, PtrTraits > : faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits >
- Tensor< typename TensorType::DataType, TensorType::NumDim, TensorType::IsInnerContig, typename TensorType::IndexType, PtrTraits > : faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits >
- tensor_ : faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits >
- thread_over_batches : faiss::ParameterSpace
- threaded : faiss::IndexShards
- thresholds : faiss::IndexLSH
- toString() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory , faiss::gpu::StackDeviceMemory::Stack
- train() : faiss::IndexIVF , faiss::IndexPreTransform , faiss::OPQMatrix , faiss::PCAMatrix , faiss::IndexIVFFlatDedup , faiss::VectorTransform , faiss::IndexSplitVectors , faiss::Index2Layer , faiss::IndexLSH , faiss::IndexScalarQuantizer , faiss::IndexPQ , faiss::MultiIndexQuantizer , faiss::Clustering , faiss::MultiIndexQuantizer2 , faiss::gpu::GpuIndexFlat , faiss::IndexIDMap , faiss::IndexShards , faiss::IndexHNSWPQ , faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ , faiss::RandomRotationMatrix , faiss::IndexBinaryHNSW , faiss::gpu::IndexProxy , faiss::Index , faiss::IndexBinary , faiss::IndexBinaryFromFloat , faiss::IndexBinaryIVF , faiss::IndexRefineFlat , faiss::IndexHNSW
- Train_hot_start : faiss::ProductQuantizer
- Train_hypercube : faiss::ProductQuantizer
- Train_hypercube_pca : faiss::ProductQuantizer
- train_q1() : faiss::Level1Quantizer , faiss::IndexBinaryIVF
- train_residual() : faiss::IndexIVFPQR , faiss::IndexIVFScalarQuantizer , faiss::IndexIVF , faiss::IndexIVFPQ
- train_residual_o() : faiss::IndexIVFPQ
- Train_shared : faiss::ProductQuantizer
- train_thresholds : faiss::IndexLSH
- train_type_t : faiss::ProductQuantizer
- trained : faiss::ScalarQuantizer
- transfer_thresholds() : faiss::IndexLSH
- transfer_to_IVFPQ() : faiss::Index2Layer
- transform_transpose() : faiss::LinearTransform
- transpose() : faiss::gpu::Tensor< T, Dim, InnerContig, IndexT, PtrTraits >